# Xapian::DatabaseLockError Class Reference

DatabaseLockError indicates failure to lock a database. More...

Inheritance diagram for Xapian::DatabaseLockError:

[legend]

List of all members.

## Public Member Functions

| DatabaseLockError (const std::string &msg_, const std::string &context_="", int errno_=0)
| General purpose constructor which allows setting errno.
| DatabaseLockError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

DatabaseLockError indicates failure to lock a database.

## Constructor & Destructor Documentation

Xapian::DatabaseLockError::DatabaseLockError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `""`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor which allows setting errno.

Xapian::DatabaseLockError::DatabaseLockError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

The documentation for this class was generated from the following file:

- xapian/error.h